# class NativeGc

#### package cpp

Available on Android, iOS, macOS, Linux, Windows

### Static methods

###

`staticaddFinalizable (instance:{finalize:Void ‑> Void}, inPin:Bool):Void`

###

`staticinline allocGcBytes (inBytes:Int):Pointer<Void>`

###

`staticallocGcBytesRaw (inBytes:Int, isContainer:Bool):RawPointer<Void>`

###

`staticallocateExtended<T> (cls:Class<T>, size:Int):T`

###

`staticcompact ():Void`

###

`staticdoNotKill (inObject:Dynamic):Void`

###

`staticenable (inEnable:Bool):Void`

###

`staticenterGCFreeZone ():Void`

###

`staticexitGCFreeZone ():Void`

###

`staticgetNextZombie ():Dynamic`

###

`staticmemInfo (inWhatInfo:Int):Float`

###

`staticnativeTrace (sought:Class<Dynamic>, printInstances:Bool):Int`

###

`staticrun (major:Bool):Void`

###

`staticsafePoint ():Void`

###

`staticsetMinimumFreeSpace (inBytes:Int):Void`

###

`staticsetMinimumWorkingMemory (inBytes:Int):Void`

###

`staticsetTargetFreeSpacePercentage (inPercentage:Int):Void`